Bug 6792 - Утилита POST не понимает символы "+" и "." в content type.
: Утилита POST не понимает символы "+" и "." в content type.
Status: CLOSED FIXED
: ALT Linux 2.4
(All bugs in ALT Linux 2.4/perl-libwww-perl)
: 2.4
: all Linux
: P2 minor
Assigned To:
:
: http://git.altlinux.org/people/at/pac...
:
:
:
  Show dependency tree
 
Reported: 2005-05-06 15:14 by
Modified: 2007-04-08 19:34 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-05-06 15:14:31
Если пытаться передать с помощью утилиты POST запрос с заголовком Content-Type,
который содержит точку или плюс, то ругается на "Illegal content type".

В принципе, все лечится мелкой правкой в /usr/bin/POST:

367,368c367,369
<         die "$progname: Illegal Content-type format\n"
<             unless $options{'c'} =~ m,^[\w\-]+/[\w\-]+(?:\s*;.*)?$,
---
>
>         die "$progname: Illegal Content-type format: ".$options{'c'}."\n"
>             unless $options{'c'} =~ m,^[\w\-]+/[\w\-\.\+]+(?:\s*;.*)?$,
------- Comment #1 From 2007-04-07 20:21:29 -------
Пример валидного content-type, который может содеражть точку или плюс?
------- Comment #2 From 2007-04-07 20:50:53 -------
Если можете привести пример, то откройте снова и приведите.
------- Comment #3 From 2007-04-07 21:49:30 -------
Да здрасьте, text/vnd.wap.wml хотя бы.  Или ещё какой
application/vnd.oasis.opendocument.text (или предлагается их все как
application/octet-stream пихать?)
------- Comment #4 From 2007-04-08 00:46:38 -------
Fixed in 5.805-alt3.
------- Comment #5 From 2007-04-08 19:34:34 -------
Спасибо :)

Мишка, бэкпортить влом. :)